Method: selection.v1.projects.selectedRoutes.patch

Updates a SelectedRoute as specified by its name.

HTTP request

PATCH https://roads.googleapis.com/selection/v1/{selectedRoute.name=projects/*/selectedRoutes/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
selectedRoute.name

string

Identifier. Resource name of the SelectedRoute.

Format: projects/{project}/selectedRoutes/{selectedRoute}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

Field paths are relative to SelectedRoute. You should only update displayName, routeAttributes, or dynamicRoute (including origin, destination, and intermediates).

Example: "displayName,routeAttributes,dynamicRoute".

If * is specified, a full replacement for all updatable fields is performed.

If updateMask is omitted, all updatable fields that are populated in selectedRoute are implied to be updated.

Request body

The request body contains an instance of SelectedRoute.

Response body

If successful, the response body contains an instance of SelectedRoute.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • roads.selectedRoutes.update

For more information, see the IAM documentation.